Subject: Re: linux-next: Tree for Mar 11 (powerpc build failure due to vmx crypto code)

From: Guenter Roeck <[email-masked]>
Date: Wed, 11 Mar 2015 08:47:17 -0700

On Wed, Mar 11, 2015 at 04:35:58PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Changes since 20150310:
> 
> New tree: drm-exynos
> 
> The sound-asoc tree still had its build failure so I used the version from
> next-20150306.
> 
> The regulator tree lost its build failure.
> 
> The tip tree gained a conflict against the usb-gadget-fixes tree.
> 
> The staging tree lost its build failure.
> 
> Non-merge commits (relative to Linus' tree): 3446
>  3448 files changed, 138744 insertions(+), 73083 deletions(-)
> 
> ----------------------------------------------------------------------------
> 

Building powerpc:allmodconfig:

ERROR: ".aes_p8_cbc_encrypt" [drivers/crypto/vmx/vmx-crypto.ko] undefined!
ERROR: ".aes_p8_set_encrypt_key" [drivers/crypto/vmx/vmx-crypto.ko] undefined!
ERROR: ".aes_p8_set_decrypt_key" [drivers/crypto/vmx/vmx-crypto.ko] undefined!
ERROR: ".gcm_init_p8" [drivers/crypto/vmx/vmx-crypto.ko] undefined!
ERROR: ".aes_p8_decrypt" [drivers/crypto/vmx/vmx-crypto.ko] undefined!
ERROR: ".aes_p8_encrypt" [drivers/crypto/vmx/vmx-crypto.ko] undefined!
ERROR: ".gcm_ghash_p8" [drivers/crypto/vmx/vmx-crypto.ko] undefined!
ERROR: ".aes_p8_ctr32_encrypt_blocks" [drivers/crypto/vmx/vmx-crypto.ko] undefined!

Those functions are called but don't seem to be defined anywhere.

Caused by 'crypto: vmx - Adding VMX module for Power 8' and related patches.

Guenter